use Test::More;

use Term::ProgressSpinner; 
my $ps = Term::ProgressSpinner->new();
$ps->slowed(0.1);
$ps->start(50);
while ($ps->advance()) {}
$ps->spinner('moon');
$ps->progress('equals');
$ps->start(50);
while ($ps->advance()) {}
ok(1);
done_testing();
